name: Nightly QA

on:
  schedule:
    - cron: '0 4 * * *'
  workflow_dispatch:

jobs:
  call-qa-workflow:
    uses: mmintel/at-mintel/.gitea/workflows/quality-assurance-template.yml@main
    with:
      TARGET_URL: 'https://testing.mb-grid-solutions.com'
      PROJECT_NAME: 'mb-grid-solutions'
    secrets:
      GOTIFY_URL: ${{ secrets.GOTIFY_URL }}
      GOTIFY_TOKEN: ${{ secrets.GOTIFY_TOKEN }}
      GATEKEEPER_PASSWORD: ${{ secrets.GATEKEEPER_PASSWORD || vars.GATEKEEPER_PASSWORD }}
